<?php
require'f_maxime.php';
require'f_conectare.php';
conectare('maxime'.$x1,'maxime'.$x2);
$titlu='Maxime'.$x1;
require'f_tabelare.php';
if($de==0)
{
$head[3]='<link rel="alternate" title="Sitemap maxime XML'.$titlul.'" type="application/xml" href="/sitemap-maxime.xml" />';
if($go==''&&$la=='')
$head[3].='<link rel="canonical" href="'.$adresasite[0].'/maxime'.$x2.($page>1?'/pagina/'.$page:'').'" />';
}
if($_SERVER['REQUEST_URI']=='/maxime')
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
if($la!='')
{
require'f_profil.php';
$back[3]=profil($la,'Profil membru '.nume($la));
}
require'f_sus.php';
if($de>0)
require'f_nou.php';
echo$div[4].img('maxime.gif',1).'Sorteaza maxime'.$x5.$div[5];
$form[0]='/maxime" method="get';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1];
$form[3]='';
if($la!='')
{
$form[2].='<input type="hidden" name="la" value="'.$la.'" />';
$form[3]='la::';
}
$categoriile=',,Toate categoriile ('.$conn->query('SELECT COUNT(*)FROM`maxime`'.$x6)->fetch_row()[0].')';
$categorii=$conn->query('SELECT`id`,`nume`FROM`maxime_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
$categoriile.='::'.$categorie[0].',,'.$categorie[1].' ('.$conn->query('SELECT COUNT(*)FROM`maxime`WHERE`cid`="'.$categorie[0].'"'.$x7)->fetch_row()[0].')';
}
$form[2].='Sorteaza:<br />'.scris3('go',',,Dupa data::1,,Dupa numărul de vizualizări::2,,Dupa numărul de puncte::3,,Dupa note::4,,Dupa numărul de voturi::5,,Dupa numărul de comentarii::6,,După numărul de aprecieri::7,,După numărul de dezaprecieri::8,,După prețul oferit pentru comentarii::9,,După prețul oferit pentru note').$div[0].$div[1].'Categorie:<br />'.scris3('cid',$categoriile).$div[0];
$form[3].='go::cid';
$form[4]='Alege';
require'f_form.php';
$abonati=$conn->query('SELECT COUNT(*)FROM`maxime_abonati`')->fetch_row();
if($abonati[0]>0)
echo$div[1].'<a href="/abonati-maxime">'.img('maxime.gif',1).'Membrii abonați</a> <strong>'.number_format($abonati[0]).'</strong>'.$div[0];
$abonat=$conn->query('SELECT COUNT(*)FROM`maxime_abonati`WHERE`de`="'.$de.'"')->fetch_row();
echo$div[1].'<a href="/abonare-maxime/tip/'.($abonat[0]==0?'abonare':'dezabonare').'">'.img('maxime.gif',1).($abonat[0]==0?'Abonare':'Dezabonare de').' la adaugarea de maxime</a>'.$div[0].$div[4].img('maxime.gif',1).'Maxime'.$x1.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`maxime`'.$x3)->fetch_row()[0];
if($elemente>0)
{
if($la=='')
require'f_profil.php';
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
if($go==1)
$sql='`id`,`text`,`de`,`cid`,`vizualizari`FROM`maxime`'.$x3.'ORDER BY`vizualizari`DESC';
elseif($go==2)
$sql='`maxime`.`id`,`maxime`.`text`,`maxime`.`de`,`maxime`.`cid`,SUM(`maxime_note`.`valoare`)AS`as1`FROM`maxime`,`maxime_note`WHERE`maxime`.`id`=`maxime_note`.`pid`'.$x4.'GROUP BY`maxime`.`id`ORDER BY`as1`DESC';
elseif($go==3)
$sql='`maxime`.`id`,`maxime`.`text`,`maxime`.`de`,`maxime`.`cid`,SUM(`maxime_note`.`valoare`),AVG(`maxime_note`.`valoare`)AS`as1`,COUNT(`maxime_note`.`id`)FROM`maxime`,`maxime_note`WHERE`maxime`.`id`=`maxime_note`.`pid`'.$x4.'GROUP BY`maxime`.`id`ORDER BY`as1`DESC';
elseif($go==4)
$sql='`maxime`.`id`,`maxime`.`text`,`maxime`.`de`,`maxime`.`cid`,COUNT(`maxime_note`.`id`)AS`as1`FROM`maxime`,`maxime_note`WHERE`maxime`.`id`=`maxime_note`.`pid`'.$x4.'GROUP BY`maxime`.`id`ORDER BY`as1`DESC';
elseif($go==5)
$sql='`maxime`.`id`,`maxime`.`text`,`maxime`.`de`,`maxime`.`cid`,COUNT(`maxime_comentarii`.`id`)AS`as1`FROM`maxime`,`maxime_comentarii`WHERE`maxime`.`id`=`maxime_comentarii`.`pid`'.$x4.'GROUP BY`maxime`.`id`ORDER BY`as1`DESC';
elseif($go==6||$go==7)
$sql='`maxime`.`id`,`maxime`.`text`,`maxime`.`de`,`maxime`.`cid`,COUNT(`maxime_aprecieri`.`id`)AS`as1`FROM`maxime`,`maxime_aprecieri`WHERE`maxime`.`id`=`maxime_aprecieri`.`pid`&&`maxime_aprecieri`.`valoare`="'.($go==6?1:2).'"'.$x4.'GROUP BY`maxime`.`id`ORDER BY`as1`DESC';
elseif($go==8)
$sql='`id`,`text`,`de`,`cid`,`pret_com`FROM`maxime`'.$x3.'ORDER BY`pret_com`DESC';
elseif($go==9)
$sql='`id`,`text`,`de`,`cid`,`pret_rate`FROM`maxime`'.$x3.'ORDER BY`pret_rate`DESC';
else
$sql='`id`,`text`,`de`,`cid`,`data`FROM`maxime`'.$x3.'ORDER BY`data`DESC';
$items=$conn->query('SELECT'.$sql.' LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$item[1]=mb_substr($item[1],0,15);
echo'<tr><td'.$clasa_kk.'><a href="/maxima/id/'.$item[0].'-'.seo($item[1]).'">'.avatar($item[2]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($item[2]).($perm>0?' <sterge><a href="/admin-sterge-maxima/id/'.$item[0].'-'.seo($item[1]).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a>':'').$div[0].$clasa_normal.htmlspecialchars($item[1]).'<a href="/maxima/id/'.$item[0].'-'.seo($item[1]).'">'.img('maxime.gif',1).'citește-o</a><br />';
if($cid=='')
{
$cinfo=$conn->query('SELECT`nume`FROM`maxime_categorii`WHERE`id`="'.$item[3].'"')->fetch_row();
echo'Din categoria: <a href="/maxime/categorie/'.$item[3].'-'.seo($cinfo[0]).'"><strong>'.$cinfo[0].'</strong></a><br />';
}
if($go=='')
{
require_once'f_data.php';
echo'<small>Adaugată: '.data($item[4]).'</small>';
}
if($go==1)
echo'Vizualizări: <strong>'.number_format($item[4]).'</strong>';
if($go==2)
echo'Puncte: <strong>'.number_format($item[4]).'</strong>';
if($go==3)
{
require_once'f_nota.php';
echo'Nota: <strong>'.nota(mb_substr(($item[4]/$item[6]),0,4)).'</strong>';
}
if($go==4)
echo'<a href="/note-maxima/id/'.$item[0].'-'.seo($item[1]).'">Voturi</a> <strong>'.number_format($item[4]).'</strong>';
if($go==5)
echo'<a href="/comentarii-maxima/id/'.$item[0].'-'.seo($item[1]).'">Comentarii</a> <strong>'.number_format($item[4]).'</strong>';
if($go==6)
echo'<img src="'.$domenii_statice[1].'apreciaza.png" alt="" width="16" height="16" /><a href="/aprecieri-maxima/id/'.$item[0].'-'.seo($item[1]).'/tip/aprecieri">Aprecieri</a> <strong>'.number_format($item[4]).'</strong>';
if($go==7)
echo'<img src="'.$domenii_statice[2].'dezapreciaza.png" alt="" width="16" height="16" /><a href="/aprecieri-maxima/id/'.$item[0].'-'.seo($item[1]).'/tip/dezaprecieri">Dezaprecieri</a> <strong>'.number_format($item[4]).'</strong>';
if($go==8)
echo'Oferă la comentare <strong>'.number_format($item[4]).'</strong> lei';
if($go==9)
echo'Oferă la notare <strong>'.number_format($item[4]).'</strong> lei';
echo$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt maxime adaugate'.($la!=''?' de către '.nume($la).',':'').($cid!=''?' în această categorie':'').($go!=''?' după acest criteriu de selecție':'').'!'.$div[0];
echo$div[1].'<a href="/cauta-in-maxime">'.img('search.png',2).'Caută în maxime</a>'.$div[0].$div[1].'<a href="/adauga-maxime"><img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă maxime</a>'.$div[0];
if($perm>0)
echo$div[1].'<a href="/admin-categorii-maxime">'.img('administrare.png',1).'Administreaza categorii maxime</a>'.$div[0];
require'f_jos.php';